const { dtgWithAttach } = require('./util');

async function getPatientDetails(attach, PatientCPR) {
    return await dtgWithAttach(attach, 'service/persons/details', {
        person: {
            entity_id: PatientCPR,
        },
    });
}

async function getPersonsList(attach) {
    return await dtgWithAttach(attach, '/service/persons/list', {
    });
}

module.exports = {
    getPatientDetails,
    getPersonsList
};
